// Generated by CoffeeScript 2.2.4
var buildskeleton, currentpos, elementFromPunctuation, init, punctuation, randomCycler, randomize_words, rawwords, saveAndReload, userChoice, vers, words, writeWord, written;

String.prototype.capitalize = function() {
  return this.charAt(0).toUpperCase() + this.slice(1);
};

vers = "Léclépcső szélház. Celofánszekrény gőzasztal.\nGázkés légpohár. Üreskönyök, párahomlok.\nTréfája láva, mosolya iszap, füstöl.\n\nMég cigarettázik. Harmatcsokor előtte, illata\nCelofán. Kimegy: akarata vas. Szava arany.\nMosakodáshoz vizet használ, s az mindig középen van.\n\nLélegzete rög. A rög: buborék. A szétpukkanás: rög.\nEszmélet hajtja - eszméje: rög. Törölközője\nA földre csúszik. Nem nyúl érte. NEM NYÚL ÉRTE.\n\nTávolodó földrész. Egy nappal megint kevesebb.\nEgy hanyagsággal újra több. S valakinek ez is ízlik.\nÖsszeszedi utolsó erejét. Utolsó és üres. És összeszedi.\nHomlokával elüti az időt. Ereje rög és zene.\nLéptei: bánya. Az elhagyott ház sugárban okádja\nA távolodást. Az út elnyeli a bútorokat. Az út: fény.\n\n*\n\nPapír lég pehely könnyű kisváltó váltó\nközép félnehéz nehéz ólom\n\n*\n\nPillangóban erős";

rawwords = "Léclépcső,szélház,Celofánszekrény,gőzasztal,Gázkés,légpohár,Üreskönyök,párahomlok,Tréfája,láva,mosolya,iszap,füstöl,Még,cigarettázik,Harmatcsokor,előtte,illata,Celofán,Kimegy,akarata,vas,Szava,arany,Mosakodáshoz,vizet,használ,s,az,mindig,középen,van,Lélegzete,rög,A,rög,buborék,A,szétpukkanás,rög,Eszmélet,hajtja,eszméje,rög,Törölközője,A,földre,csúszik,Nem,nyúl,érte,NEM,NYÚL,ÉRTE,Távolodó,földrész,Egy,nappal,megint,kevesebb,Egy,hanyagsággal,újra,több,S,valakinek,ez,is,ízlik,Összeszedi,utolsó,erejét,Utolsó,és,üres,És,összeszedi,Homlokával,elüti,az,időt,Ereje,rög,és,zene,Léptei,bánya,Az,elhagyott,ház,sugárban,okádja,A,távolodást,Az,út,elnyeli,a,bútorokat,Az,út,fény,Papír,lég,pehely,könnyű,kisváltó,váltó,közép,félnehéz,nehéz,ólom,Pillangóban,erős";

punctuation = "A a. A a.#A a. A, a.#A a, a a, a.##A a. A a, a#A. A: a a. A a.#A a a, a a a a a.##A a. A a: a. A a: a.#A a - a: a. A#A a a. A a a. C C C:##A a. A a a a.##A a a a. A a a a a.# A a a. A a a. A a.#A a a a. A a a a.#A: a. A a a a a#A a. A a a a a. A a: a.##*#A a a a a a#a a a a##*#A a";

words = rawwords.split(",").map(function(w) {
  return w.toLowerCase(); //.sort(() -> Math.random() > 0.5)
});

written = [];

currentpos = 0;

randomCycler = 0;

elementFromPunctuation = function(letter, nth) {
  var options;
  options = (function() {
    switch (letter) {
      case "a":
        return {
          id: "word" + nth,
          class: "word",
          html: words[nth],
          css: {
            "text-transform": "lowercase"
          }
        };
      case "A":
        return {
          id: "word" + nth,
          class: "word",
          html: words[nth].capitalize(),
          css: {
            "text-transform": "capitalize"
          }
        };
      case "C":
        return {
          id: "word" + nth,
          class: "word",
          html: words[nth].toUpperCase(),
          css: {
            "text-transform": "uppercase"
          }
        };
      case "#":
        return {
          html: "<br>",
          class: "punc"
        };
      case "*":
        return {
          html: "*",
          class: "star punc"
        };
      default:
        return {
          class: "punc",
          html: letter
        };
    }
  })();
  return $("<span>", options);
};

buildskeleton = function(ws, ps) {
  var i, j, nth, ref, ref1, results;
  nth = 0;
  results = [];
  for (i = j = 0, ref = ps.length - 1; (0 <= ref ? j <= ref : j >= ref); i = 0 <= ref ? ++j : --j) {
    $("#vers").append(elementFromPunctuation(ps[i], nth));
    if ((ref1 = ps[i]) === "a" || ref1 === "A" || ref1 === "C") {
      results.push(nth++);
    } else {
      results.push(void 0);
    }
  }
  return results;
};

randomize_words = function() {
  var i, j, ref;
  //randomize
  // words = words.sort(() -> Math.random() > 0.5)

  //run through??
  // switched = words[randomCycler]
  // now = words[0]
  // words[0] = switched
  // words[randomCycler] = now

  //shift
  words.unshift(words[words.length - 1]);
  words.pop();
  for (i = j = 0, ref = words.length - 1; (0 <= ref ? j <= ref : j >= ref); i = 0 <= ref ? ++j : --j) {
    $(`#word${i + currentpos}`).html(words[i]);
  }
  randomCycler = (randomCycler + 1) % words.length;
  return setTimeout(randomize_words, 100 + currentpos * 2);
};

writeWord = function() {
  written.push(words[0]);
  words.splice(0, 1);
  $(".current").addClass("finished").removeClass("current");
  currentpos++;
  return $(`#word${currentpos}`).addClass("current");
};

userChoice = function(e) {
  e.preventDefault();
  if (words.length > 1) {
    return writeWord();
  } else {
    writeWord();
    return $("#choices").animate({
      opacity: 1.0
    }, 1000);
  }
};

saveAndReload = function() {
  // stringify written
  // save to localstorage or server
  return window.location.reload();
};

init = function() {
  buildskeleton(words, punctuation);
  $("#rossz").click(function() {
    return window.location.reload();
  });
  $("#rendben").click(saveAndReload);
  $("#word0").addClass("current");
  $("html").scrollTop(0);
  $("html").keydown(userChoice);
  $("html").mousedown(userChoice);
  $("html").on("contextmenu", (function(e) {
    return e.preventDefault();
  }));
  return setTimeout(randomize_words, 100);
};

init();

//# sourceMappingURL=script.js.map
